Name "MiniPicture"
CRCCheck On
OutFile "minipicture_1.0.0.1.exe"
InstallDir "$PROGRAMFILES\MiniPicture"
DirText "Please select the folder below"
SetCompress Auto
SetCompressor bzip2
SetOverwrite try
XPStyle on
LicenseText "MiniPicture 1.0.0.1$\nCopyright  Nikolay Raspopov, 2003."
LicenseData "C:\Projects\MiniPicture\setup\license.txt"

Section "Install"
  SetOutPath $INSTDIR
  File "C:\Projects\MiniPicture\release\MiniPicture.dll"
  File "C:\Projects\MiniPicture\setup\license.txt"
  RegDLL "$INSTDIR\MiniPicture.dll"
  WriteRegStr HKLM "Software\Microsoft\Windows\CurrentVersion\Uninstall\MiniPicture" "DisplayName" "MiniPicture (remove only)"
  WriteRegStr HKLM "Software\Microsoft\Windows\CurrentVersion\Uninstall\MiniPicture" "UninstallString" "$INSTDIR\Uninst.exe"
WriteUninstaller "Uninst.exe"
SectionEnd

UninstallText "This will uninstall MiniPicture from your system"

Section Uninstall
  UnRegDLL "$INSTDIR\MiniPicture.dll"
  Delete /REBOOTOK "$INSTDIR\license.txt"
  Delete /REBOOTOK "$INSTDIR\MiniPicture.dll"
  Delete /REBOOTOK "$INSTDIR\Uninst.exe"
  DeleteRegKey HKEY_LOCAL_MACHINE "SOFTWARE\MiniPicture"
  DeleteRegKey HKEY_LOCAL_MACHINE "SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\MiniPicture"
  RMDir /r "$INSTDIR"
SectionEnd

